CREATE TABLE module_cs_gs_servers (
	id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	game VARCHAR(31) NOT NULL											-- game server name
,	name VARCHAR(255) NOT NULL											-- game name
-- ,	hosting ENUM('internal', 'external') NOT NULL DEFAULT 'internal'	-- internal use installing IP addresses on Plesk
-- ,	address VARCHAR(255) NOT NULL										-- for external hosting (can may IDN)
,	ip_address VARCHAR(39)												-- ip address
,	port SMALLINT UNSIGNED NOT NULL										-- game server port
,		UNIQUE (ip_address, port)
,	mode ENUM('LAN', 'LAN&INET') NOT NULL DEFAULT 'LAN'					-- operation mode
,	max_players SMALLINT UNSIGNED NOT NULL DEFAULT 16					-- max number of players
,	autoupdate ENUM('yes', 'no') NOT NULL DEFAULT 'yes'					-- use programme steam for autoupdate
,	master ENUM('yes', 'no') NOT NULL DEFAULT 'yes'						-- use master server
,	config_id INT UNSIGNED NOT NULL REFERENCES module_cs_gs_configs (id)-- 0 are using for load default config file
,	secure ENUM('yes', 'no') NOT NULL DEFAULT 'yes'						-- use VAC (valve anti-cheat)
,	rcon_password VARCHAR(61) NOT NULL
,	sv_password VARCHAR(61) NOT NULL
,	default_map VARCHAR(61) NOT NULL
,	total_traffic BIGINT UNSIGNED NOT NULL DEFAULT 0
,	period_traffic BIGINT UNSIGNED NOT NULL DEFAULT 0
,	begin_period_date DATE NOT NULL
,	end_period_date DATE NOT NULL
) ENGINE=InnoDB;

CREATE TABLE module_cs_gs_configs (
	id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	game VARCHAR(31) NOT NULL											-- game server name
,	name VARCHAR(255) NOT NULL											-- config name (display name)
,	description VARCHAR(255) NOT NULL
,		UNIQUE (game, name)
) ENGINE=InnoDB;

CREATE TABLE module_cs_gs_parameters (
	param VARCHAR(255) NOT NULL PRIMARY KEY
,	val VARCHAR(255)
) ENGINE=InnoDB;
